{
	saved_FirstTime[0]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;

			if (GetID() = "truck")
			{
				ShowEntity( false );
				SetPassable( false );
				SetUsable( false );
			}
		}
	}]

	DelayReached[ (s)
	{
		if(s=1)
		{
			me = Level.GetPlayer();
			me.SetFrozen(true);
			Level.Victory();
			Delay(8,2);
		}
		if(s=2)
		{
			Level.LoadLevel("S_BRM3_Level");
		}
	}]

	GoGoTruck[ ()
	{
		ShowEntity( true );
		SetPassable( true );
		Level.SetCellBlocking(110,94,1);
		Level.SetCellBlocking(111,95,1);
		Level.SetCellBlocking(112,96,1);
		Level.SetCellBlocking(113,97,1);
		Level.SetCellBlocking(114,98,1);
		Level.SetCellBlocking(115,99,1);
	}]
}